<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		//переписываем if в тернарный оператор.. Так же присвоим некоторые значения для A и B
		alert("Первое задание")
		let A = prompt ("Какое число укажем для переменной 'A'?");
		let B = prompt ("Какое число укажем для переменной 'B'?");

		let myFirstIf = A + B < 4 ? result = "мало" : result = "много";
		console.log(result)
		alert("Результат можно посмотреть в консоли")

		let login = prompt("Введите логин")
		let mySecondIf = (login == "Вася") ? alert("Привет"): (login == "Директор") ? alert("Здравствуйте"): (login == "") ? alert("Нет логина"): alert("Oops...");

		alert("Идём дальше...")

		//Выводим числа в промежутке от А до B
		A = prompt ("От какого числа хотите начать счёт?")
		B = prompt ("До какого числа хотите считать?")
		let a = +A;
		let b = +B;
		let summ = 0;
		for ( a; a < b; a++) {
			summ += a;
			console.log(summ)
		}
		document.write("Сумма чисел в промежутке между " + A + " и " + B + " будет " + summ + "<br />")
		// Поднимая переменную a на единицу на моменте каждой итерации - в итоге рано или поздно дойдём, когда значение А будет равняться значению b. Суммой всех чисел в промежутке от a до b будет значение присвоенное переменной "summ" в последней итерации.

		// выводим нечётные числа переменной А
		
		document.write("Выводим нечётные числа в промежутке между " + A + " и " + B + "<br />");
		for ( A; A < B; A++) {
			if ( A % 2 == 1) {
				document.write (A + "<br />")
			}
		}



	</script>
</body>
</html>